import { Borsh, Transaction } from '@j0nnyboi/mpl-core';
import { PublicKey, TransactionCtorFields } from '@safecoin/web3.js';
export declare class RevokeUseAuthorityArgs extends Borsh.Data {
    static readonly SCHEMA: any;
    instruction: number;
}
declare type RevokeUseAuthorityParams = {
    useAuthorityRecord: PublicKey;
    user: PublicKey;
    owner: PublicKey;
    ownerTokenAccount: PublicKey;
    metadata: PublicKey;
    mint: PublicKey;
};
export declare class RevokeUseAuthority extends Transaction {
    constructor(options: TransactionCtorFields, params: RevokeUseAuthorityParams);
}
export {};
